function img = BuildPashlerMaskImage(options)
if(nargin < 1)
  options = [];
end

d.fPurity = .5;
d.size = 81;
d.padsize = 0;
d.bRifle = 1;

options=ResolveMissingOptions(options,d);
sz = (options.size - 2*options.padsize);
if(options.bRifle), sz = floor(sz/2); end
hs = floor(sz / 2);
img = ones(sz);
if(options.bRifle)
  img = rifle(img);
  if(mod(options.size,2))
     img = padimage(img,[0 0 1 1],0);
  end
end  
img = padimage(img,options.padsize,0);
  
  

function i2 = rifle(i1)
i2 = zeros(2*size(i1));
i2(2:2:end,2:2:end) = i1;

